%global maven_version 1.2.17.redhat-1
%global maven_repo_dir %{_javadir}/maven-repo
%global __jar_repack 0

Name: log4j-amq
Version:        1.2.17
Release:	5%{?dist}
License:	ASL 2.0
Summary:	Logging library for Java
Group:		Development/Java
URL:		http://logging.apache.org/log4j/1.2/
Source0: log4j-1.2.17.redhat-1.jar
Source2: log4j-1.2.17.redhat-1-javadoc.jar
Source3: log4j-1.2.17.redhat-1.pom
Source4: log4j-1.2.17.redhat-1-sources.jar
Source100:      log4j-1.2.17.redhat-1-scm-sources.zip 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: 	noarch

%description
Logging library for Java.

%package maven-repo
Summary:        Maven repository for log4j
Group:          Development/Java
Requires:       log4j-amq = %{version}-%{release}

%description maven-repo
Maven repository for log4j.

%prep
%setup -q -T -b 100 -n apache-log4j-%{version}

%build

%install
rm -rf %{buildroot}

function maven_checksums() {
  local FILEPATH=$1
  local DESTFILE=$2
  if [ -z "$DESTFILE" ]; then
    DESTFILE=$FILEPATH
  fi
  md5sum $FILEPATH | cut -d' ' -f1 > $DESTFILE.md5
  sha1sum $FILEPATH | cut -d' ' -f1 > $DESTFILE.sha1
}

function populate_maven_repo() {
  local POMPATH=$1
  local POMDIR=${POMPATH%/*}
  local POMFILE=${POMPATH##*/}
  local JARBASE=${POMFILE%.pom}
  %{__mkdir_p} %{buildroot}%{maven_repo_dir}/$POMDIR
  %{__install} -pm 644 %{_sourcedir}/$POMFILE \
                       %{buildroot}%{maven_repo_dir}/$POMDIR
  maven_checksums %{buildroot}%{maven_repo_dir}/$POMDIR/$POMFILE
  local VERSION=${POMDIR##*/}
  local PARENTDIR=${POMDIR%/*}
  local ARTIFACTID=${PARENTDIR##*/}
  local GROUPPATH=${PARENTDIR%/*}
  local GROUPID=${GROUPPATH//\//.}
  cat > %{buildroot}%{maven_repo_dir}/$PARENTDIR/maven-metadata.xml <<EOF
<metadata>
  <groupId>$GROUPID</groupId>
  <artifactId>$ARTIFACTID</artifactId>
  <versioning>
    <release>$VERSION</release>
    <versions>
      <version>$VERSION</version>
    </versions>
    <lastUpdated>$(date +%%Y%%m%%d%%H%%M%%S)</lastUpdated>
  </versioning>
</metadata>
EOF
  maven_checksums %{buildroot}%{maven_repo_dir}/$PARENTDIR/maven-metadata.xml
  for jarpath in %{buildroot}%{_javadir}/%{name}-%{version}/$JARBASE*.jar; do
    if [ -f $jarpath ]; then
      JARFILE=$(basename $jarpath)
      ln -s %{_javadir}/%{name}-%{version}/$JARFILE \
            %{buildroot}%{maven_repo_dir}/$POMDIR/$JARFILE
      maven_checksums %{buildroot}%{_javadir}/%{name}-%{version}/$JARFILE \
        %{buildroot}%{maven_repo_dir}/$POMDIR/$JARFILE
    fi
  done
}

%{__install} -dm 755 %{buildroot}%{_javadir}
%{__install} -dm 755 %{buildroot}%{_javadir}/%{name}-%{version}

%{__install} -pm 644 %{SOURCE0} %{buildroot}%{_javadir}/%{name}-%{version}
%{__install} -pm 644 %{SOURCE2} %{buildroot}%{_javadir}/%{name}-%{version}
%{__install} -pm 644 %{SOURCE4} %{buildroot}%{_javadir}/%{name}-%{version}

populate_maven_repo log4j/log4j/1.2.17.redhat-1/log4j-1.2.17.redhat-1.pom

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_javadir}/%{name}-%{version}
%{_javadir}/%{name}-%{version}/*.jar
%doc LICENSE
%doc NOTICE
%doc INSTALL

%files maven-repo
%defattr(-,root,root,-)

%{maven_repo_dir}

%changelog
* Tue Jul 21 2015 Irina Boverman <iboverma@redhat.com> - 1.2.17-5
- Corrected dependencies

* Mon Jul 20 2015 Irina Boverman <iboverma@redhat.com> - 1.2.17-4
- Updated dependencies

* Wed May 13 2015 Irina Boverman <iboverma@redhat.com> - 1.2.17-2
- Add maven-repo subpackage

* Mon May 11 2015 Irina Boverman <iboverma@redhat.com> - 1.2.17-1
- Initial creation of wrapper rpm
